# Andreas Dahlberg <andreasdahlberg@live.se>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have receiv# Statusmessage displayed while playinged a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os
from xlgui.prefs import widgets
from xl import xdg
from xl.nls import gettext as _

name = _('Musictracker')
basedir = os.path.dirname(os.path.realpath(__file__))
glade = os.path.join(basedir, 'properties_panel.glade')

class ShowPlaymessage(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/Musictracker/btn_playmessage'

class ShowPausemessage(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/Musictracker/btn_pausemessage'

class ClearMessage(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/Musictracker/btn_clearmessage'

class Playmessage(widgets.PrefsItem):
    default = _('Listening to: %title - %artist')
    name = 'plugin/Musictracker/ent_playmessage'

class Pausemessage(widgets.PrefsItem):
    default = _('Where am i?')
    name = 'plugin/Musictracker/ent_pausemessage'
    
class Playstatus(widgets.ComboEntryPrefsItem):
    name = 'plugin/Musictracker/cent_playstatus'
    default = 'Available'
    preset_items = ['Available', 'Away', 'Busy', 'None']
    
class Pausestatus(widgets.ComboEntryPrefsItem):
    name = 'plugin/Musictracker/cent_pausestatus'
    default = 'Away'
    preset_items = ['Available', 'Away', 'Busy', 'None']    
